<?xml version="1.0" encoding="utf-8"?>
<resources>
    <declare-styleable name="ProgressWheel">
        <attr name="text" format="string" />
        <attr name="textColor" format="color" />
        <attr name="textSize" format="dimension" />
        <attr name="barColor" format="color" />
        <attr name="rimColor" format="color" />
        <attr name="rimWidth" format="dimension" />
        <attr name="spinSpeed" format="dimension" />
        <attr name="delayMillis" format="integer" />
        <attr name="circleColor" format="color" />
        <attr name="pw_radius" format="dimension" />
        <attr name="barWidth" format="dimension" />
        <attr name="barLen" format="dimension" />
        <attr name="contourColor" format="color"/>
        <attr name="contourSize" format="dimension"/>
    </declare-styleable>

    <declare-styleable name="PullScrollView">
        <attr name="header" format="reference" />
        <attr name="headerHeight" format="dimension" />
        <attr name="headerVisibleHeight" format="dimension" />
    </declare-styleable>


    <declare-styleable name="PagerSlidingTabStrip">
        <attr name="pstsIndicatorColor" format="color" />
        <attr name="pstsUnderlineColor" format="color" />
        <attr name="pstsDividerColor" format="color" />
        <attr name="pstsIndicatorHeight" format="dimension" />
        <attr name="pstsUnderlineHeight" format="dimension" />
        <attr name="pstsDividerPadding" format="dimension" />
        <attr name="pstsTabPaddingLeftRight" format="dimension" />
        <attr name="pstsScrollOffset" format="dimension" />
        <attr name="pstsTabBackground" format="reference" />
        <attr name="pstsShouldExpand" format="boolean" />
        <attr name="pstsTextAllCaps" format="boolean" />
    </declare-styleable>

        <declare-styleable name="CircleImageView">
            <attr name="civ_border_width" format="dimension" />
            <attr name="civ_border_color" format="color" />
            <attr name="civ_border_overlay" format="boolean" />
            <attr name="civ_fill_color" format="color" />
        </declare-styleable>

    <declare-styleable name="RoundedImageView">
        <attr name="riv_corner_radius" format="dimension" />
        <attr name="riv_corner_radius_top_left" format="dimension" />
        <attr name="riv_corner_radius_top_right" format="dimension" />
        <attr name="riv_corner_radius_bottom_left" format="dimension" />
        <attr name="riv_corner_radius_bottom_right" format="dimension" />
        <attr name="riv_border_width" format="dimension" />
        <attr name="riv_border_color" format="color" />
        <attr name="riv_mutate_background" format="boolean" />
        <attr name="riv_oval" format="boolean" />
        <attr name="android:scaleType" />
        <attr name="riv_tile_mode">
            <enum name="clamp" value="0" />
            <enum name="repeat" value="1" />
            <enum name="mirror" value="2" />
        </attr>
        <attr name="riv_tile_mode_x">
            <enum name="clamp" value="0" />
            <enum name="repeat" value="1" />
            <enum name="mirror" value="2" />
        </attr>
        <attr name="riv_tile_mode_y">
            <enum name="clamp" value="0" />
            <enum name="repeat" value="1" />
            <enum name="mirror" value="2" />
        </attr>
    </declare-styleable>

    <declare-styleable name="SwipeBackLayout">
        <attr name="edge_size" format="dimension"/>
        <attr name="edge_flag">
            <enum name="left" value="0" />
            <enum name="right" value="1" />
            <enum name="bottom" value="2" />
            <enum name="all" value="3" />
        </attr>
        <attr name="shadow_left" format="reference"/>
        <attr name="shadow_right" format="reference"/>
        <attr name="shadow_bottom" format="reference"/>
    </declare-styleable>

    <attr name="SwipeBackLayoutStyle" format="reference"/>

    <declare-styleable name="StickyListHeadersListView">
        <attr name="stickyListHeadersListViewStyle" format="reference"/>

        <!-- View attributes -->
        <attr name="android:clipToPadding" />
        <attr name="android:scrollbars" />
        <attr name="android:overScrollMode" />
        <attr name="android:padding" />
        <attr name="android:paddingLeft" />
        <attr name="android:paddingTop" />
        <attr name="android:paddingRight" />
        <attr name="android:paddingBottom" />

        <!-- ListView attributes -->
        <attr name="android:fadingEdgeLength" />
        <attr name="android:requiresFadingEdge" />
        <attr name="android:cacheColorHint" />
        <attr name="android:choiceMode" />
        <attr name="android:drawSelectorOnTop" />
        <attr name="android:fastScrollEnabled" />
        <attr name="android:fastScrollAlwaysVisible" />
        <attr name="android:listSelector" />
        <attr name="android:scrollingCache" />
        <attr name="android:scrollbarStyle" />
        <attr name="android:divider" />
        <attr name="android:dividerHeight" />
        <attr name="android:transcriptMode" />
        <attr name="android:stackFromBottom" />

        <!-- StickyListHeaders attributes -->
        <attr name="hasStickyHeaders" format="boolean" />
        <attr name="isDrawingListUnderStickyHeader" format="boolean" />
    </declare-styleable>

    <declare-styleable name="LoadingView">
        <attr name="loading_renderer">
            <!--circle rotate-->
            <enum name="MaterialLoadingRenderer" value="0"/>
            <enum name="LevelLoadingRenderer" value="1"/>
            <enum name="WhorlLoadingRenderer" value="2"/>
            <enum name="GearLoadingRenderer" value="3"/>
            <!--circle jump-->
            <enum name="SwapLoadingRenderer" value="4"/>
            <enum name="GuardLoadingRenderer" value="5"/>
            <enum name="DanceLoadingRenderer" value="6"/>
            <enum name="CollisionLoadingRenderer" value="7"/>
            <!--Scenery-->
            <enum name="DayNightLoadingRenderer" value="8"/>
            <enum name="ElectricFanLoadingRenderer" value="9"/>
            <!--Animal-->
            <enum name="FishLoadingRenderer" value="10"/>
            <enum name="GhostsEyeLoadingRenderer" value="11"/>
            <!--Goods-->
            <enum name="BalloonLoadingRenderer" value="12"/>
            <enum name="WaterBottleLoadingRenderer" value="13"/>
            <!--ShapeChange-->
            <enum name="CircleBroodLoadingRenderer" value="14"/>
            <enum name="CoolWaitLoadingRenderer" value="15"/>
        </attr>
    </declare-styleable>
</resources>